Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.el
Class JspExpressionFactoryFactory

    java.lang.Object
      org.apache.tiles.el.JspExpressionFactoryFactory

All Implemented Interfaces:
  TilesApplicationContextAware, ExpressionFactoryFactory

Direct Known Subclasses:
  JspExpressionFactoryFactory

    public class JspExpressionFactoryFactory

extends java.lang.Object
implements ExpressionFactoryFactory, TilesApplicationContextAware

Uses the JSP 2.1 `ExpressionFactory` to be used in Tiles.

Since:
  2.2.1
Version:
  $Rev: 831448 $ $Date: 2009-10-30 21:39:52 +0100 (ven, 30 ott 2009) $

Field Summary
`protected javax.servlet.ServletContext` | `servletContext` The servlet context.

Constructor Summary
`JspExpressionFactoryFactory()`

Method Summary
`javax.el.ExpressionFactory` | `getExpressionFactory()` Returns the expression factory to use.
`void` | `setApplicationContext(TilesApplicationContext applicationContext)` Sets the Tiles application context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletContext

    protected javax.servlet.ServletContext servletContext

  The servlet context.

  Since:
    2.2.1

Constructor Detail

### JspExpressionFactoryFactory

    public JspExpressionFactoryFactory()

Method Detail

### setApplicationContext

    public void setApplicationContext(TilesApplicationContext applicationContext)

  Sets the Tiles application context.

  Specified by:
    `setApplicationContext` in interface `TilesApplicationContextAware`
  Parameters:
    `applicationContext` - The Tiles application context.

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  Returns the expression factory to use.

  Specified by:
    `getExpressionFactory` in interface `ExpressionFactoryFactory`
  Returns:
    The expression factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.